Lavalite package that provides tester management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `tester/tester`.

    "tester/tester": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Tester\Tester\Providers\TesterServiceProvider::class,

And also add it to alias

    'Tester'  => Tester\Tester\Facades\Tester::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Tester\\TesterTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Tester\Tester\Providers\TesterServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Tester\Tester\Providers\TesterServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Tester\Tester\Providers\TesterServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/tester/{modulename}

**User**

    http://path-to-route-folder/user/tester/{modulename}

**Public**

    http://path-to-route-folder/testers


### API endpoints

**List**

    http://path-to-route-folder/api/user/tester/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/tester/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/tester/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/tester/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/tester/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/tester/{modulename}/{slug}
    METHOD: GET